// -*- c++ -*-
//------------------------------------------------------------------------------
//                              CardView.h
//------------------------------------------------------------------------------
// $Id: CardView.h,v 1.5 2004/05/12 22:19:30 vlad Exp $
//
// Date: Feb 15, 2004
//------------------------------------------------------------------------------
#ifndef CARD_VIEW_H
#define CARD_VIEW_H

#include <glibmm/ustring.h>
#include <gtkmm/textview.h>
#include <gtkmm/entry.h>
#include <gtkmm/dialog.h>

class Gtk::Button;
class Gtk::TextView;
class Gtk::Entry;

#include "Granule-main.h"

class VCard;

class CardView : public Gtk::Dialog
{
public:
	CardView (VCard& card_);

	void on_ok_clicked ();

private:
	VCard& m_card;
	
	// -*- GUI components -*-
	//
	Gtk::Button*    m_cancel_button;
	Gtk::Button*    m_ok_button;
	Gtk::TextView*  m_back_text;
	Gtk::TextView*  m_example_text;
	Gtk::Entry*     m_front_text;
};


#endif /* CARD_VIEW_H */
